> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List company records

> Lists company records, with the option to filter and sort results.

Required scopes: `record_permission:read`, `object_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/standard-objects post /v2/objects/companies/records/query
openapi: 3.1.0
info:
  title: Attio Standard Objects
  version: 2.0.0
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
paths:
  /v2/objects/companies/records/query:
    post:
      tags:
        - Companies
      summary: List company records
      description: |-
        Lists company records, with the option to filter and sort results.

        Required scopes: `record_permission:read`, `object_configuration:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: >-
                    An object used to filter results to a subset of records. See
                    the [full guide to filtering and sorting
                    here](/rest-api/guides/filtering-and-sorting).
                  additionalProperties: true
                  example:
                    $and:
                      - domains:
                          domain:
                            $eq: attio.com
                      - description:
                          value:
                            $contains: magic
                sorts:
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          direction:
                            type: string
                            enum:
                              - asc
                              - desc
                            description: The direction to sort the results by.
                          attribute:
                            type: string
                            description: A slug or ID to identify the attribute to sort by.
                          field:
                            type: string
                            description: >-
                              Which field on the value to sort by e.g.
                              "last_name" on a name value.
                        required:
                          - direction
                          - attribute
                        description: Sort by attribute
                      - type: object
                        properties:
                          direction:
                            type: string
                            enum:
                              - asc
                              - desc
                            description: The direction to sort the results by.
                          path:
                            type: array
                            items:
                              type: array
                              items:
                                anyOf:
                                  - type: string
                                    description: >-
                                      The slug or ID of the object e.g.
                                      "people".
                                  - type: string
                                    description: >-
                                      A slug or ID to identify the attribute to
                                      sort by.
                              minItems: 2
                              maxItems: 2
                            description: >-
                              You may use the `path` property to traverse record
                              reference attributes and parent records on list
                              entries. `path` accepts an array of tuples where
                              the first element of each tuple is the slug or ID
                              of a list/object, and the second element is the
                              slug or ID of an attribute on that list/object.
                              The first element of the first tuple must
                              correspond to the list or object that you are
                              querying. For example, if you wanted to sort by
                              the name of the parent record (a company) on a
                              list with the slug "sales", you would pass the
                              value `[['sales', 'parent_record'], ['companies',
                              'name']]`.
                          field:
                            type: string
                            description: >-
                              Which field on the value to sort by e.g.
                              "last_name" on a name value.
                        required:
                          - direction
                          - path
                        description: Sort by path
                  description: >-
                    An object used to sort results. See the [full guide to
                    filtering and sorting
                    here](/rest-api/guides/filtering-and-sorting).
                  example:
                    - direction: asc
                      attribute: domains
                      field: domain
                limit:
                  type: number
                  description: >-
                    The maximum number of results to return. Defaults to 500.
                    See the [full guide to pagination
                    here](/rest-api/guides/pagination).
                  example: 500
                offset:
                  type: number
                  description: >-
                    The number of results to skip over before returning.
                    Defaults to 0. See the [full guide to pagination
                    here](/rest-api/guides/pagination).
                  example: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: object
                          properties:
                            workspace_id:
                              type: string
                              format: uuid
                              description: >-
                                A UUID identifying the workspace this record
                                belongs to.
                              example: 14beef7a-99f7-4534-a87e-70b564330a4c
                            object_id:
                              type: string
                              format: uuid
                              description: >-
                                A UUID identifying the object this record
                                belongs to.
                              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                            record_id:
                              type: string
                              format: uuid
                              description: A UUID identifying this record.
                              example: bf071e1f-6035-429d-b874-d83ea64ea13b
                          required:
                            - workspace_id
                            - object_id
                            - record_id
                        created_at:
                          type: string
                          description: When this record was created.
                          example: '2022-11-21T13:22:49.061281000Z'
                        web_url:
                          type: string
                          format: uri
                          description: >-
                            A URL that links directly to the record page in the
                            Attio web application.
                          example: >-
                            https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b
                        values:
                          type: object
                          properties:
                            domains:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  domain:
                                    type: string
                                    example: app.attio.com
                                  root_domain:
                                    type: string
                                    example: attio.com
                                  attribute_type:
                                    type: string
                                    enum:
                                      - domain
                                    description: The attribute type of the value.
                                    example: domain
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - domain
                                  - root_domain
                                  - attribute_type
                                additionalProperties: false
                            name:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            description:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            twitter:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            team:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  target_object:
                                    type: string
                                    description: >-
                                      A slug identifying the object that the
                                      referenced record belongs to.
                                    example: people
                                  target_record_id:
                                    type: string
                                    format: uuid
                                    description: A UUID to identify the referenced record.
                                    example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                  attribute_type:
                                    type: string
                                    enum:
                                      - record-reference
                                    description: The attribute type of the value.
                                    example: record-reference
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - target_object
                                  - target_record_id
                                  - attribute_type
                                additionalProperties: false
                            primary_location:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  line_1:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The first line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: 1 Infinite Loop
                                  line_2:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The second line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: Block 1
                                  line_3:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The third line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: Hilldrop Estate
                                  line_4:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The fourth line of the address. Note that
                                      this value is not currently represented in
                                      the UI but will be persisted and readable
                                      through API calls.
                                    example: Westborough
                                  locality:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The town, neighborhood or area the
                                      location is in.
                                    example: Cupertino
                                  region:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The state, county, province or region that
                                      the location is in.
                                    example: CA
                                  postcode:
                                    type:
                                      - string
                                      - 'null'
                                    description: >-
                                      The postcode or zip code for the location.
                                      Note that this value is not currently
                                      represented in the UI but will be
                                      persisted and readable through API calls.}
                                    example: '95014'
                                  country_code:
                                    type:
                                      - string
                                      - 'null'
                                    enum:
                                      - AF
                                      - AX
                                      - AL
                                      - DZ
                                      - AS
                                      - AD
                                      - AO
                                      - AI
                                      - AQ
                                      - AG
                                      - AR
                                      - AM
                                      - AW
                                      - AU
                                      - AT
                                      - AZ
                                      - BS
                                      - BH
                                      - BD
                                      - BB
                                      - BY
                                      - BE
                                      - BZ
                                      - BJ
                                      - BM
                                      - BT
                                      - BO
                                      - BA
                                      - BW
                                      - BV
                                      - BR
                                      - IO
                                      - BN
                                      - BG
                                      - BF
                                      - BI
                                      - KH
                                      - CM
                                      - CA
                                      - CV
                                      - KY
                                      - CF
                                      - TD
                                      - CL
                                      - CN
                                      - CX
                                      - CC
                                      - CO
                                      - KM
                                      - CG
                                      - CD
                                      - CK
                                      - CR
                                      - CI
                                      - HR
                                      - CU
                                      - CW
                                      - CY
                                      - CZ
                                      - DK
                                      - DJ
                                      - DM
                                      - DO
                                      - EC
                                      - EG
                                      - SV
                                      - GQ
                                      - ER
                                      - EE
                                      - ET
                                      - FK
                                      - FO
                                      - FJ
                                      - FI
                                      - FR
                                      - GF
                                      - PF
                                      - TF
                                      - GA
                                      - GM
                                      - GE
                                      - DE
                                      - GH
                                      - GI
                                      - GR
                                      - GL
                                      - GD
                                      - GP
                                      - GU
                                      - GT
                                      - GG
                                      - GN
                                      - GW
                                      - GY
                                      - HT
                                      - HM
                                      - VA
                                      - HN
                                      - HK
                                      - HU
                                      - IS
                                      - IN
                                      - ID
                                      - IR
                                      - IQ
                                      - IE
                                      - IM
                                      - IL
                                      - IT
                                      - JM
                                      - JP
                                      - JE
                                      - JO
                                      - KZ
                                      - KE
                                      - KI
                                      - KR
                                      - KW
                                      - KG
                                      - LA
                                      - LV
                                      - LB
                                      - LS
                                      - LR
                                      - LY
                                      - LI
                                      - LT
                                      - LU
                                      - MO
                                      - MK
                                      - MG
                                      - MW
                                      - MY
                                      - MV
                                      - ML
                                      - MT
                                      - MH
                                      - MQ
                                      - MR
                                      - MU
                                      - YT
                                      - MX
                                      - FM
                                      - MD
                                      - MC
                                      - MN
                                      - ME
                                      - MS
                                      - MA
                                      - MZ
                                      - MM
                                      - NA
                                      - NR
                                      - NP
                                      - NL
                                      - AN
                                      - NC
                                      - NZ
                                      - NI
                                      - NE
                                      - NG
                                      - NU
                                      - NF
                                      - MP
                                      - 'NO'
                                      - OM
                                      - PK
                                      - PW
                                      - PS
                                      - PA
                                      - PG
                                      - PY
                                      - PE
                                      - PH
                                      - PN
                                      - PL
                                      - PT
                                      - PR
                                      - QA
                                      - RE
                                      - RO
                                      - RU
                                      - RW
                                      - BL
                                      - SH
                                      - KN
                                      - LC
                                      - MF
                                      - PM
                                      - VC
                                      - WS
                                      - SM
                                      - ST
                                      - SA
                                      - SN
                                      - SS
                                      - RS
                                      - SC
                                      - SL
                                      - SG
                                      - SK
                                      - SI
                                      - SB
                                      - SO
                                      - ZA
                                      - GS
                                      - ES
                                      - LK
                                      - SD
                                      - SR
                                      - SJ
                                      - SZ
                                      - SE
                                      - CH
                                      - SY
                                      - TW
                                      - TJ
                                      - TZ
                                      - TH
                                      - TL
                                      - TG
                                      - TK
                                      - TO
                                      - TT
                                      - TN
                                      - TR
                                      - TM
                                      - TC
                                      - TV
                                      - UG
                                      - UA
                                      - AE
                                      - GB
                                      - US
                                      - UM
                                      - UY
                                      - UZ
                                      - VU
                                      - VE
                                      - VN
                                      - VG
                                      - VI
                                      - WF
                                      - EH
                                      - YE
                                      - ZM
                                      - ZW
                                      - BQ
                                      - KP
                                      - SX
                                      - XK
                                      - AC
                                    description: >-
                                      The ISO 3166-1 alpha-2 country code for
                                      the country this location is in.
                                    example: US
                                  latitude:
                                    type:
                                      - string
                                      - 'null'
                                    pattern: ^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$
                                    description: >-
                                      The latitude of the location. Validated by
                                      the regular expression
                                      `/^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$/`.
                                      Values are stored with up to 9 decimal
                                      places of precision. Note that this value
                                      is not currently represented in the UI but
                                      will be persisted and readable through API
                                      calls.}
                                    example: '37.331741'
                                  longitude:
                                    type:
                                      - string
                                      - 'null'
                                    pattern: >-
                                      ^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$
                                    description: >-
                                      The longitude of the location. Validated
                                      by the regular expression
                                      `/^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$/`.
                                      Values are stored with up to 9 decimal
                                      places of precision. Note that this value
                                      is not currently represented in the UI but
                                      will be persisted and readable through API
                                      calls.}
                                    example: '-122.030333'
                                  attribute_type:
                                    type: string
                                    enum:
                                      - location
                                    description: The attribute type of the value.
                                    example: location
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - line_1
                                  - line_2
                                  - line_3
                                  - line_4
                                  - locality
                                  - region
                                  - postcode
                                  - country_code
                                  - latitude
                                  - longitude
                                  - attribute_type
                                additionalProperties: false
                            last_email_interaction:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  interaction_type:
                                    type: string
                                    enum:
                                      - calendar-event
                                      - call
                                      - chat-thread
                                      - email
                                      - in-person-meeting
                                      - meeting
                                    description: >-
                                      The type of interaction e.g. calendar or
                                      email.
                                    example: email
                                  interacted_at:
                                    type: string
                                    format: date-time
                                    description: When the interaction occurred.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  owner_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  attribute_type:
                                    type: string
                                    enum:
                                      - interaction
                                    description: The attribute type of the value.
                                    example: interaction
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - interaction_type
                                  - interacted_at
                                  - owner_actor
                                  - attribute_type
                                additionalProperties: false
                            categories:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  option:
                                    $ref: '#/components/schemas/select-option'
                                  attribute_type:
                                    type: string
                                    enum:
                                      - select
                                    description: The attribute type of the value.
                                    example: select
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - option
                                  - attribute_type
                                additionalProperties: false
                            logo_url:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            twitter_follower_count:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: number
                                    description: Numbers are persisted as 64 bit floats.
                                    example: 42
                                  attribute_type:
                                    type: string
                                    enum:
                                      - number
                                    description: The attribute type of the value.
                                    example: number
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                            last_calendar_interaction:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  interaction_type:
                                    type: string
                                    enum:
                                      - calendar-event
                                      - call
                                      - chat-thread
                                      - email
                                      - in-person-meeting
                                      - meeting
                                    description: >-
                                      The type of interaction e.g. calendar or
                                      email.
                                    example: email
                                  interacted_at:
                                    type: string
                                    format: date-time
                                    description: When the interaction occurred.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  owner_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  attribute_type:
                                    type: string
                                    enum:
                                      - interaction
                                    description: The attribute type of the value.
                                    example: interaction
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - interaction_type
                                  - interacted_at
                                  - owner_actor
                                  - attribute_type
                                additionalProperties: false
                            linkedin:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: string
                                    description: >-
                                      A raw text field. Values are limited to
                                      10MB.
                                    example: >-
                                      Lorem ipsum dolor sit amet, consectetur
                                      adipiscing elit, sed do eiusmod tempor
                                      incididunt ut labore et dolore magna
                                      aliqua.
                                  attribute_type:
                                    type: string
                                    enum:
                                      - text
                                    description: The attribute type of the value.
                                    example: text
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                                additionalProperties: false
                            foundation_date:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  attribute_type:
                                    type: string
                                    enum:
                                      - date
                                    description: The attribute type of the value.
                                    example: date
                                  value:
                                    type: string
                                    description: >-
                                      A date represents a single calendar year,
                                      month and day, independent of timezone. If
                                      hours, months, seconds or timezones are
                                      provided, they will be trimmed. For
                                      example, "2023" and "2023-01" will be
                                      coerced into "2023-01-01", and
                                      "2023-01-02", "2023-01-02T13:00",
                                      "2023-01-02T14:00:00",
                                      "2023-01-02T15:00:00.000000000", and
                                      "2023-01-02T15:00:00.000000000+02:00" will
                                      all be coerced to "2023-01-02". If a
                                      timezone is provided that would result in
                                      a different calendar date in UTC, the date
                                      will be coerced to UTC and then the
                                      timezone component will be trimmed. For
                                      example, the value
                                      "2023-01-02T23:00:00-10:00" will be
                                      returned as "2023-01-03". The maximum date
                                      is "9999-12-31".
                                    example: '2023-01-01'
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - attribute_type
                                  - value
                                additionalProperties: false
                            strongest_connection_user:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  referenced_actor_type:
                                    type: string
                                    enum:
                                      - api-token
                                      - workspace-member
                                      - system
                                      - app
                                    description: >-
                                      The type of the referenced actor. [Read
                                      more information on actor types
                                      here](/docs/actors).
                                    example: workspace-member
                                  referenced_actor_id:
                                    type:
                                      - string
                                      - 'null'
                                    format: uuid
                                    description: The ID of the referenced actor.
                                    example: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  attribute_type:
                                    type: string
                                    enum:
                                      - actor-reference
                                    description: The attribute type of the value.
                                    example: actor-reference
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - referenced_actor_type
                                  - referenced_actor_id
                                  - attribute_type
                                additionalProperties: false
                            estimated_arr_usd:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  option:
                                    $ref: '#/components/schemas/select-option'
                                  attribute_type:
                                    type: string
                                    enum:
                                      - select
                                    description: The attribute type of the value.
                                    example: select
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - option
                                  - attribute_type
                                additionalProperties: false
                            strongest_connection_strength_legacy:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  value:
                                    type: number
                                    description: Numbers are persisted as 64 bit floats.
                                    example: 42
                                  attribute_type:
                                    type: string
                                    enum:
                                      - number
                                    description: The attribute type of the value.
                                    example: number
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - value
                                  - attribute_type
                            next_calendar_interaction:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  interaction_type:
                                    type: string
                                    enum:
                                      - calendar-event
                                      - call
                                      - chat-thread
                                      - email
                                      - in-person-meeting
                                      - meeting
                                    description: >-
                                      The type of interaction e.g. calendar or
                                      email.
                                    example: email
                                  interacted_at:
                                    type: string
                                    format: date-time
                                    description: When the interaction occurred.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  owner_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  attribute_type:
                                    type: string
                                    enum:
                                      - interaction
                                    description: The attribute type of the value.
                                    example: interaction
                                required:
                                  - active_from
                                  - active_until
                                  - created_by_actor
                                  - interaction_type
                                  - interacted_at
                                  - owner_actor
                                  - attribute_type
                                additionalProperties: false
                            employee_range:
                              type: array
                              items:
                                type: object
                                properties:
                                  active_from:
                                    type: string
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      made "active". `active_from` can be
                                      considered roughly analogous to
                                      `created_at`.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  active_until:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                    description: >-
                                      The point in time at which this value was
                                      deactivated. If `null`, the value is
                                      active.
                                    example: '2023-01-01T15:00:00.000000000Z'
                                  created_by_actor:
                                    type: object
                                    description: The actor that created this value.
                                    properties:
                                      id:
                                        type: string
                                        description: An ID to identify the actor.
                                        nullable: true
                                      type:
                                        type: string
                                        enum:
                                          - api-token
                                          - workspace-member
                                          - system
                                          - app
                                        nullable: true
                                        description: >-
                                          The type of actor. [Read more
                                          information on actor types
                                          here](/docs/actors).
                                    example:
                                      type: workspace-member
                                      id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                  option:
[...]
